#include <iostream>

using namespace std;

int main()
{

    int n,k,indk;
    cin >> n>>k;
    int nizkarata[n];
    for (int i = 0; i<n;i++)
    {
        cin >> nizkarata[i];
        if (nizkarata[i]==k)
        {
            indk = i;

        }

    }
    if (indk == n-1)
    {
        cout << nizkarata[0];

    }
    else
    {
        cout << nizkarata[indk+1];
    }
}